package com.hs.admin.dao;


import com.hs.admin.bean.Jcb;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xieheng
 */
public interface JcbDao {
    int deleteByPrimaryKey(Integer jcbId);

    int insert(Jcb record);


    Jcb selectByPrimaryKey(Integer jcbId);

    int updateByPrimaryKey(Jcb record);

    int delJcb(Integer id);

    List<Jcb> findAllByState(@Param("index") Integer index, @Param("pageSize") Integer pageSize);

    int updateById(Jcb jcb);

    int checkTask(Integer id);

    int getCount(Integer jcbId);

    long getTotalCount();
}